# $Revision: 1.40 $, $Date: 2005/09/17 10:54:14 $
Summary:	Arbitrary precision calculator
Summary(pl):	Kalkulator operujcy na liczbach z dowoln dokadnoci
Name:		calc
Version:	2.11.10.1
Release:	2
License:	LGPL
Group:		Applications/Math
Source0:	http://www.isthe.com/chongo/src/calc/%{name}-%{version}.tar.gz
# Source0-md5:	b23466c8f490e1fa7f04b0af22da1ad1
Source1:	%{name}.desktop
URL:		http://www.isthe.com/chongo/tech/comp/calc/
BuildRequires:	perl-base
BuildRequires:	readline-devel >= 4.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Calc is arbitrary precision arithmetic system that uses a C-like
language. Calc is useful as a calculator, an algorithm prototyped and
as a mathematical research tool. It comes with a rich set of
mathematical, programmatic and stdio functions.

%description -l pl
Calc jest systemem arytmetycznym o nieograniczonej dokadnoci,
uywajcym jzyka podobnego do C. Calc jest przydatny jako kalkulator,
narzdzie do testowania algorytmw i do bada matematycznych. Do
samego programu doczony jest bogaty zestaw funkcji bibliotecznych -
matematycznych, programistycznych i funkcji wejcia/wyjcia

%package devel
Summary:	Calc header files and static libraries
Summary(pl):	Pliki nagwkowe i biblioteki statyczne Calca
Group:		Development/Libraries
# only static libraries now
# to be changed after switching to shared lib
#Requires:	%{name} = %{version}
Obsoletes:	calc-static

%description devel
These header files and static libraries are neccessary to build
programs using Calc math libraries. These libraries contain a set of
Calc functions to use in other applications.

%description devel -l pl
Te pliki nagwkowe i biblioteki statyczne s niezbdne przy budowaniu
programw wykorzystujcych biblioteki matematyczne Calca. Biblioteki
te zawierajce zbir funkcji Calca do wykorzystania we wasnych
programach.

%prep
%setup -q

%build
%{__make} -j1 \
	DEBUG="%{rpmcflags}" \
	USE_READLINE=-DUSE_READLINE \
	READLINE_LIB="-lreadline -lhistory" \
	READLINE_INCLUDE=%{_includedir} \
	SCRIPTDIR=%{_datadir}/calc/cscript

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/calc/{cscript,custom,help} \
	$RPM_BUILD_ROOT{%{_includedir},%{_mandir}/man1,%{_libdir}} \
	$RPM_BUILD_ROOT{%{_bindir},%{_desktopdir}}

%{__make} install \
	T=$RPM_BUILD_ROOT \
	SCRIPTDIR=%{_datadir}/calc/cscript

mv -f $RPM_BUILD_ROOT%{_datadir}/calc/custom/libcustcalc.a $RPM_BUILD_ROOT%{_libdir}
mv -f cal/README README.cal

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop

rm -f $RPM_BUILD_ROOT%{_datadir}/calc/README

find $RPM_BUILD_ROOT%{_datadir}/calc -type f | \
	xargs perl -pi -e 's|#!/usr/local/bin/calc|#!%{_bindir}/calc|'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
# COPYING is not just LGPL text, only some explanations
%doc BUGS CHANGES COPYING README README.cal
%attr(755,root,root) %{_bindir}/*
%{_datadir}/calc
%{_mandir}/man*/*
%{_desktopdir}/*

%files devel
%defattr(644,root,root,755)
%doc LIBRARY sample/README_SAMPLE
%{_libdir}/lib*.a
%{_includedir}/calc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: calc.spec,v $
Revision 1.40  2005/09/17 10:54:14  arekm
- readline 5.0

Revision 1.39  2005/05/28 01:05:01  zbyniu
- BR: perl-base

Revision 1.38  2004/10/23 12:24:30  paszczus
- updated to 2.11.10.1

Revision 1.37  2004/09/17 01:18:21  tommat
- version 2.11.10
- no parallel build

Revision 1.36  2004/07/04 00:31:48  havner
- applnk -> vfolders

Revision 1.35  2004/03/08 15:35:30  domelu
- updated to 2.11.9.3

Revision 1.34  2004/01/13 14:06:30  qboosh
- URL fix

Revision 1.33  2004/01/13 14:04:12  domelu
- added URL

Revision 1.32  2003/09/17 12:50:01  domelu
- update to 2.11.8.1

Revision 1.31  2003/08/06 16:39:59  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.30  2003/06/13 08:39:05  qboosh
- fixed optflags passing (removed unnecessary Makefile patch)
- simplified install (DESTDIR is supported, but named T)
- moved base docs to base, merged -static into -devel (no shared libs for now)
- release 1

Revision 1.29  2003/06/12 21:09:47  radzio
- updated to 2.11.8
- rel 0.99 - build but there were errors in %install (with chmod and chown)
- please check if there are all necessary files in packages?

Revision 1.28  2003/05/28 12:58:48  malekith
- massive attack: source-md5

Revision 1.27  2003/05/25 05:46:07  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2002/12/10 08:50:06  roman
- added calc.desktop to Scientific/Numerics applnk subdir
- changed Release from 3 to 4

Revision 1.25  2002/07/16 20:37:36  kloczek
- release 3.

Revision 1.24  2002/07/16 14:13:13  krolik
-cosmetics %doc section

Revision 1.23  2002/04/25 15:56:57  arturs
fixed a small typo

Revision 1.22  2002/02/23 01:33:37  kloczek
- adapterized.

Revision 1.21  2002/02/22 23:28:44  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/02/11 09:39:56  kloczek
- release 2: changed License to LGPL (notised by maintainer :)

Revision 1.19  2002/02/02 19:56:26  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.18  2002/01/18 02:12:32  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2001/10/03 16:44:45  filon
- use %{name} macro in req for devel

Revision 1.16  2001/05/07 16:04:04  baggins
- typo

Revision 1.15  2001/05/07 14:58:14  baggins
- replace /usr/local/bin to /usr/bin

Revision 1.14  2001/05/07 13:45:29  baggins
- updated to 2.11.5t3

Revision 1.13  2001/04/13 01:43:11  kloczek
- release 2,
- spec adapterized,
- added using %%{rpmcflags} macro,
- rebuild against readline 4.2.

Revision 1.12  2000/09/04 19:34:19  kloczek
- updated to 2.11.2t1.0.

Revision 1.11  2000/06/09 07:22:48  kloczek
- added using %%{__make} macro.

Revision 1.10  2000/05/18 16:58:01  kloczek
- spec adapterized.

Revision 1.9  2000/04/19 23:45:13  kravietz
- fixed a typo (devl instead of devel) in Requires

Revision 1.8  2000/04/01 11:14:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.7  2000/03/28 16:54:15  baggins
- translated kloczkish into english

Revision 1.6  2000/03/23 14:43:20  kloczek
- release 2,
- rebuild agains readline 4.1.

Revision 1.5  2000/02/28 18:42:09  kloczek
- fixed two typos.

Revision 1.4  2000/02/28 17:06:08  kloczek
- typo.

Revision 1.3  2000/02/28 16:46:41  kloczek
- some cosmetics,
- removed %%{_datadir}/calc/README (included to %doc files list).

Revision 1.2  2000/02/28 14:00:03  zagrodzki
- added missing %doc

Revision 1.1  2000/02/28 13:52:26  zagrodzki
- initial release
